Apps not compatible with NC 28

A new version of NC is approaching, and not only the main code has to be tested, also all apps require testing. We try to help with an overview of all the apps that were available in one of the previous versions. This list is automatically updated, so as soon as a suitable version is released on the app store, the app will disappear from this list.

Some apps might be easy to fix by clicking enable manually in the app overview (as an admin). Please leave a feedback on the bug tracker if your test was successful or leave a report with the errors you encountered.

Overview app compatibility in different versions:

App ID NC 26 NC 27 NC 28 Issue Tracker
aaochat :white_check_mark: :white_check_mark: :x: :beetle:
app_api :x: :white_check_mark: :white_check_mark: :beetle:
assistant :x: :x: :white_check_mark: :beetle:
bbb :white_check_mark: :white_check_mark: :x: :beetle:
breezedark :white_check_mark: :white_check_mark: :x: :beetle:
call_summary_bot :x: :white_check_mark: :white_check_mark: :beetle:
cfg_share_links :white_check_mark: :white_check_mark: :x: :beetle:
co2clock :white_check_mark: :white_check_mark: :x: :beetle:
context_chat :x: :x: :white_check_mark: :beetle:
dicomviewer :white_check_mark: :white_check_mark: :x: :beetle:
discoursesso :white_check_mark: :white_check_mark: :x: :beetle:
dokuwiki :white_check_mark: :white_check_mark: :x: :beetle:
emlviewer :white_check_mark: :white_check_mark: :x: :beetle:
externalpassword :white_check_mark: :x: :x: :beetle:
externalportal :white_check_mark: :white_check_mark: :x: :beetle:
extract :white_check_mark: :white_check_mark: :x: :beetle:
facerecognition :white_check_mark: :white_check_mark: :x: :beetle:
files_archive :white_check_mark: :white_check_mark: :x: :beetle:
files_downloadactivity :white_check_mark: :x: :x: :beetle:
files_downloadlimit :white_check_mark: :white_check_mark: :x: :beetle:
files_external_ethswarm :white_check_mark: :x: :x: :beetle:
files_fulltextsearch_tesseract :white_check_mark: :white_check_mark: :x: :beetle:
files_linkeditor :white_check_mark: :white_check_mark: :x: :beetle:
files_markdown :white_check_mark: :white_check_mark: :x: :beetle:
files_readmemd :white_check_mark: :white_check_mark: :x: :beetle:
files_texteditor :white_check_mark: :white_check_mark: :x: :beetle:
google_synchronization :white_check_mark: :x: :x: :beetle:
gptfreeprompt :x: :x: :white_check_mark: :beetle:
grauphel :white_check_mark: :x: :x: :beetle:
hibp :white_check_mark: :x: :x: :beetle:
hibp_login_check :white_check_mark: :white_check_mark: :x: :beetle:
hidesidebars :white_check_mark: :white_check_mark: :x: :beetle:
holiday_calendars :white_check_mark: :x: :x: :beetle:
imageconverter :white_check_mark: :white_check_mark: :x: :beetle:
instance_quota :x: :white_check_mark: :white_check_mark: :beetle:
integration_alephalpha :x: :x: :white_check_mark: :beetle:
integration_docusign :x: :x: :white_check_mark: :beetle:
inventory :x: :x: :white_check_mark: :beetle:
l10n_override :white_check_mark: :white_check_mark: :x: :beetle:
libresign :white_check_mark: :x: :white_check_mark: :beetle:
listman :white_check_mark: :white_check_mark: :x: :beetle:
llm :x: :x: :white_check_mark: :beetle:
mailnotifier :white_check_mark: :x: :x: :beetle:
memegen :x: :white_check_mark: :white_check_mark: :beetle:
messagevault :white_check_mark: :x: :x: :beetle:
metadata :white_check_mark: :white_check_mark: :x: :beetle:
multiboards :x: :white_check_mark: :white_check_mark: :beetle:
ncdownloader :white_check_mark: :white_check_mark: :x: :beetle:
nextcloudamarillo :x: :white_check_mark: :x: :beetle:
occweb :white_check_mark: :white_check_mark: :x: :beetle:
openotp_auth :white_check_mark: :white_check_mark: :x: :beetle:
openotp_sign :white_check_mark: :white_check_mark: :x: :beetle:
pandoc :white_check_mark: :white_check_mark: :x: :beetle:
pdf_downloader :white_check_mark: :white_check_mark: :x: :beetle:
piwik :white_check_mark: :white_check_mark: :x: :beetle:
preferred_providers :white_check_mark: :white_check_mark: :x: :beetle:
quickaccesssorting :white_check_mark: :white_check_mark: :x: :beetle:
report_uri :white_check_mark: :x: :x: :beetle:
rides :x: :white_check_mark: :white_check_mark: :beetle:
riotchat :white_check_mark: :white_check_mark: :x: :beetle:
salattime :white_check_mark: :x: :x: :beetle:
sharerenamer :white_check_mark: :x: :x: :beetle:
sketch_picker :x: :white_check_mark: :white_check_mark: :beetle:
skyprint :white_check_mark: :white_check_mark: :x: :beetle:
solid :white_check_mark: :white_check_mark: :x: :beetle:
souvenirs :white_check_mark: :white_check_mark: :x: :beetle:
stt_helper :x: :white_check_mark: :white_check_mark: :beetle:
stt_whisper :x: :white_check_mark: :white_check_mark: :beetle:
text2image_helper :x: :x: :white_check_mark: :beetle:
text2image_stablediffusion :x: :x: :white_check_mark: :beetle:
thesearchpage :x: :white_check_mark: :white_check_mark: :beetle:
transfer :white_check_mark: :x: :white_check_mark: :beetle:
tuya_cloud :x: :white_check_mark: :x: :beetle:
twofactor_reminder :white_check_mark: :white_check_mark: :x: :beetle:
unsplash :white_check_mark: :white_check_mark: :x: :beetle:
user_external :white_check_mark: :white_check_mark: :x: :beetle:
user_ispconfig :white_check_mark: :white_check_mark: :x: :beetle:
user_pwauth :white_check_mark: :x: :x: :beetle:
user_vo :white_check_mark: :white_check_mark: :x: :beetle:
video_converter :white_check_mark: :white_check_mark: :x: :beetle:
workspace :white_check_mark: :white_check_mark: :x: :beetle:
xwiki :white_check_mark: :white_check_mark: :x: :beetle:
yumisign_nextcloud :white_check_mark: :x: :x: :beetle:

Table updated on February 28 2024, 22:30 UTC
There are already 245 apps for NC 28

10 Likes

GitHub - nextcloud/twofactor_gateway: 🔑 Second factor provider using an external messaging gateway (SMS, Telegram, Signal) should be added? Requires <=NC25 but still works in NC27, I am willing to take upon maintainership but got no response from current maintainer or core team.

3 Likes

Should be App Id :wink:

ernolf

++

please

Hi @joergschulz ,
polls and snappymail are both supported by Nextcloud 28 so do not belong in this list :wink:

The list @tflidd provided is absolutely complete, no “not supported” App is missing.

App-Id polls
App-Name Polls
Summary A polls app, similar to Doodle/Dudle with the possibility to restrict access.
Categories organization, social, tools
App-Version 6.0.0-rc1
Repository GitHub - nextcloud/polls: 🗳️ Polls app for Nextcloud
Issue-Tracker Issues · nextcloud/polls · GitHub
Admin-Doc. polls/README.md at master · nextcloud/polls · GitHub
PHP min/max 8.0 /
PHP min-intsize 32
NC min/max 28 / 28
Not-shipped (not included) App available in appstore
Appstore https://apps.nextcloud.com/apps/polls
Created 2017-07-16T18:54:41.216906Z
Last modified 2023-12-06T10:25:21.671733Z
App-Id snappymail
App-Name SnappyMail
Summary SnappyMail Webmail
Categories integration, office, search, social
App-Version 2.31.0
Website https://snappymail.eu
Repository GitHub - the-djmaze/snappymail: Simple, modern & fast web-based email client
Issue-Tracker Issues · the-djmaze/snappymail · GitHub
User-Doc. snappymail/integrations/nextcloud/snappymail/README.md at master · the-djmaze/snappymail · GitHub
Admin-Doc. Admin Manual · the-djmaze/snappymail Wiki · GitHub
Developer-Doc. Developer Documentation · the-djmaze/snappymail Wiki · GitHub
PHP min/max 7.4 /
PHP min-intsize 32
php-Extensions mbstring, zlib
NC min/max 20 / 28
Not-shipped (not included) App available in appstore
Appstore https://apps.nextcloud.com/apps/snappymail
Created 2022-10-17T19:05:46.114755Z
Last modified 2023-12-08T21:25:01.568757Z

Much luck,
ernolf

Thanks, I changed that.

We just put apps with missing support, things we potentially want to test and look into. Apps with full supported are not shown. Criteria is just if they have a supported version in the app-store. There still might be bugs. Therefore it’s important that you test the Nextcloud features and apps that are important for you.

2 Likes

I just release files_scripts:4.0.0 which adds NC28 compatibility.

1 Like

Thank you for this great app and your good work! I really appreciate it much and use it on much places!
Happy Grinchmas
ernolf

1 Like

pax_fax and sip_trip_phone already support Nextcloud 28.

Hello all,
I just updated (and rolled back) to/from Nextcloud 28.01 yesterday and it definitely disabled Talk(spreed), Music and Cookbook. Music is liosted here but the other two are not. Does this mean then that the other two are supported and that I should just ignore the installation scripts and re-enable them as they are not listed on this page?
I rolled back the installation in any case because of all the log file shenanigans/errors and the missing logreader page and lack of activity reporting. It all just feels broken and, as such, makes my installation feel vulnerable. :person_shrugging:

Thanks for all your hard work, I’m sure all will be well in the end as always.
J

Those apps are disabled for the update process. After the pod-update, those apps can be updated to a version supported by Nextcloud 28 (if update available → see the table in this thread) and securely reactivated.

Complete understanding! I still use 27.1 for my production servers as well :wink:


Much and good luck,
ernolf

1 Like

I have an issue with ownpad, I can’t see in the menu «Files» «Add» files with should be there pad, private pad or calc
But files created before the upgrade from 27.1.4 can be loaded…
Also mindmap doesn’t works for me…

OK, You already filed an Issue here: add pad or private pad not in the menu add files since nextcloud 28.0.1 upgrade · Issue #139 · otetard/ownpad · GitHub
Good!

there is a fix in the pipeline: NC 28 compatibility · Issue #191 · ACTom/files_mindmap · GitHub


ernolf

Ownpad v0.10.0-beta.1 was just released with Nextcloud 28 support. If no major issue is identified, I’ll publish a new release in a few days.

Edit: Now available in the stable release channel (v0.10.0).

1 Like

Thanks for the reactivity.